Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_Scheduling_Strategy Class Reference

Define the interface for the scheduling strategy. More...

`#include <EC_Scheduling_Strategy.h>`

Inheritance diagram for TAO_EC_Scheduling_Strategy:

[legend]
List of all members.

## Public Methods
virtual | ~TAO_EC_Scheduling_Strategy (void)
| Destructor. More...
virtual void | add_proxy_supplier_dependencies (TAO_EC_ProxyPushSupplier *supplier, TAO_EC_ProxyPushConsumer *consumer ACE_ENV_ARG_DECL)=0
| Add all the dependencies between <supplier> and <consumer>. More...
virtual void | schedule_event (const RtecEventComm::EventSet &event, TAO_EC_ProxyPushConsumer *consumer, TAO_EC_Supplier_Filter *filter ACE_ENV_ARG_DECL)=0
| Schedule an event set and deliver them to the filter in the desired order and grouping. More...

## Detailed Description

Define the interface for the scheduling strategy.

The scheduling strategy controls the actions that the event channel must take to update the dependency information in the scheduler and to query the scheduler for the priority of each event pushed by a supplier. The base

## Constructor & Destructor Documentation

TAO_EC_Scheduling_Strategy::~TAO_EC_Scheduling_Strategy | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual void TAO_EC_Scheduling_Strategy::add_proxy_supplier_dependencies | ( | TAO_EC_ProxyPushSupplier * | supplier,
|  | TAO_EC_ProxyPushConsumer *consumer | ACE_ENV_ARG_DECL
| ) | `[pure virtual]`

| Add all the dependencies between <supplier> and <consumer>. Reimplemented in TAO_EC_Group_Scheduling, TAO_EC_Null_Scheduling, and TAO_EC_Priority_Scheduling.

virtual void TAO_EC_Scheduling_Strategy::schedule_event | ( | const RtecEventComm::EventSet & | event,
|  | TAO_EC_ProxyPushConsumer * | consumer,
|  | TAO_EC_Supplier_Filter *filter | ACE_ENV_ARG_DECL
| ) | `[pure virtual]`

| Schedule an event set and deliver them to the filter in the desired order and grouping. Reimplemented in TAO_EC_Group_Scheduling, TAO_EC_Null_Scheduling, and TAO_EC_Priority_Scheduling.

The documentation for this class was generated from the following files:

- EC_Scheduling_Strategy.h
- EC_Scheduling_Strategy.cpp